#!/bin/bash
#gcc -o testCase.x testCase.c `pkg-config --cflags --libs check`

ulimit -s unlimited

if [ "$1" == "no" ]; then
	echo " "
else
	./check.sh
	OUT=$?

	if [ $OUT -eq 1 ];then
   		echo "All dependencies are installed! We haven't check your hard drive type. If you are not using SSD, then the timing results may be affected. The experiment will run now..."
	else
   		echo "You are missing some dependendencies! Results may be affected."
   		read -p "Do you still want to continue? (y/n)?"
   		if [ $REPLY == "n" ]; then
			echo "Exiting..."
		exit 1
   		fi
	fi
fi


rm -r -f Host_BENEFICIARY
cd Experiment
cd CFLOW-CFLOW
rm -r -f Host_BENEFICIARY TEMP-* TransplantCode-* Temp/*
cd ..


./gentrans --seeds_file CFLOW-CFLOW/seed-1.in --compiler_options CFLOW-CFLOW/CFLAGS --host_target CFLOW-CFLOW/Host/main.c --donor_target CFLOW-CFLOW/Donor/output.c --donor_folder CFLOW-CFLOW/Donor/ --workspace CFLOW-CFLOW/ --core_function output  --host_project CFLOW-CFLOW/Host --host_compilation --functions CFLOW-CFLOW/core_functions.in

cd CFLOW-CFLOW
cp -r -f Host_BENEFICIARY ../../
rm -r -f Host_BENEFICIARY TEMP-* TransplantCode-* Temp/*
cd ../../
